Description: bug fix
 settings popup cycles when addon folder is empty: bug fix
 possible DBZ fix
 Translation fix
 .
 linion (1.0-8) jammy; urgency=medium
 .
   * settings popup cycles when addon folder is empty: bug fix
   * possible DBZ fix
   * Translation fix
Author: Eugene E. Sorochinskiy <manager@darkguard.net>

---
The information above should follow the Patch Tagging Guidelines, please
checkout http://dep.debian.net/deps/dep3/ to learn about the format. Here
are templates for supplementary fields that you might want to add:

Origin: <vendor|upstream|other>, <url of original patch>
Bug: <url in upstream bugtracker>
Bug-Debian: https://bugs.debian.org/<bugnumber>
Bug-Ubuntu: https://launchpad.net/bugs/<bugnumber>
Forwarded: <no|not-needed|url proving that it has been forwarded>
Reviewed-By: <name and email of someone who approved the patch>
Last-Update: 2023-01-07

--- linion-1.0.orig/QAddonListModel.cpp
+++ linion-1.0/QAddonListModel.cpp
@@ -228,7 +228,8 @@ void QAddonListModel::refreshFolderList(
 
     }
 
-    emit dataChanged(createIndex(0, 0), createIndex(addonList.count() - 1, 0));
+    totalCount = addonList.count();
+    emit dataChanged(createIndex(0, 0), createIndex(totalCount ? totalCount - 1 : 0, 0));
     emit percent(total, total, "");
     emit addonsListChanged();
 
--- linion-1.0.orig/mainwindow.cpp
+++ linion-1.0/mainwindow.cpp
@@ -190,22 +190,24 @@ void MainWindow::aboutQtAction(bool para
 
 void MainWindow::allChanged() {
 
+    ui->setupButton->setEnabled(true);
     if (model->getAddonList().isEmpty()) {
-
         ui->backupButton->setEnabled(false);
-        ui->findMoreButton->setEnabled(false);
         ui->searchEdit->setEnabled(false);
-
-        QMessageBox::StandardButton answer = QMessageBox::question(this, tr("Information"),
-                                                                   tr("Unable to locate addons. Do you want "
-                                                                      "to open the settings dialog and "
-                                                                      "choose the path to the addons folder yourself?"));
-        if (answer == QMessageBox::StandardButton::Yes) {
-            settingsClicked(true);
+        if (!dirSetUp) {
+            ui->findMoreButton->setEnabled(false);
+            QMessageBox::StandardButton answer = QMessageBox::question(this, tr("Information"),
+                                                                       tr("Unable to locate addons. Do you want "
+                                                                          "to open the settings dialog and "
+                                                                          "choose the path to the addons folder yourself?"));
+            if (answer == QMessageBox::StandardButton::Yes) {
+                settingsClicked(true);
+            }
+        } else {
+            ui->findMoreButton->setEnabled(true);
         }
     } else {
         ui->backupButton->setEnabled(true);
-        ui->findMoreButton->setEnabled(true);
         ui->searchEdit->setEnabled(true);
     }
 }
@@ -236,6 +238,12 @@ void MainWindow::updateProgressPercent(i
         ui->setupButton->setEnabled(false);
     }
 
+    if (total == 0) {
+        ui->statusbar->showMessage(tr("All completed"));
+        progressBar->setVisible(false);
+        return;
+    }
+
     int percent = qRound((float) current / (float) total * 100);
 
     progressBar->setValue(percent);
@@ -257,6 +265,7 @@ void MainWindow::settingsClicked(bool) {
     configDialog->setModal(true);
     int res = configDialog->exec();
     if (res == QDialog::Accepted) {
+        dirSetUp = true;
         const PreferencesType &receiveData = configDialog->receiveData();
         writeSettings(receiveData);
         model->setModelData(receiveData);
--- linion-1.0.orig/mainwindow.h
+++ linion-1.0/mainwindow.h
@@ -27,6 +27,7 @@ protected:
     void closeEvent(QCloseEvent *event) override;
 
 private:
+    bool dirSetUp = false;
     Ui::MainWindow *ui;
     QAddonListModel *model;
     QAddonProxyModel *proxyModel;
@@ -58,6 +59,7 @@ private:
             {"backupSaved", false}
     };
 
+    void setAllEnabled();
     void writeSettings(const PreferencesType &data);
 
     [[nodiscard]]
--- linion-1.0.orig/mainwindow_de.ts
+++ linion-1.0/mainwindow_de.ts
@@ -242,7 +242,7 @@ p, li { white-space: pre-wrap; }
     </message>
     <message>
         <location filename="mainwindow.cpp" line="27"/>
-        <location filename="mainwindow.cpp" line="293"/>
+        <location filename="mainwindow.cpp" line="302"/>
         <source>Installed Addons List</source>
         <translation>Installiertliste</translation>
     </message>
@@ -258,7 +258,7 @@ p, li { white-space: pre-wrap; }
     </message>
     <message>
         <location filename="mainwindow.cpp" line="40"/>
-        <location filename="mainwindow.cpp" line="296"/>
+        <location filename="mainwindow.cpp" line="305"/>
         <source>Reinstall Or Update</source>
         <translation>Wiederinstallieren oder aktualisieren</translation>
     </message>
@@ -318,7 +318,8 @@ p, li { white-space: pre-wrap; }
         <translation>Kann keine Addons gefunden. Möchten Sie das Einstellungsdialog öffnen und den Dateiverzeichnispfad selbst wahlen?</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="245"/>
+        <location filename="mainwindow.cpp" line="242"/>
+        <location filename="mainwindow.cpp" line="253"/>
         <source>All completed</source>
         <translation>Alles fertiggestellt</translation>
     </message>
@@ -366,104 +367,104 @@ p, li { white-space: pre-wrap; }
         <translation>Aktualisieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="268"/>
-        <location filename="QAddonListModel.cpp" line="274"/>
+        <location filename="QAddonListModel.cpp" line="269"/>
+        <location filename="QAddonListModel.cpp" line="275"/>
         <source>Updating</source>
         <translation>Aktualisierung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="325"/>
-        <location filename="QAddonListModel.cpp" line="341"/>
-        <location filename="QAddonListModel.cpp" line="368"/>
-        <location filename="QAddonListModel.cpp" line="465"/>
-        <location filename="QAddonListModel.cpp" line="682"/>
+        <location filename="QAddonListModel.cpp" line="326"/>
+        <location filename="QAddonListModel.cpp" line="342"/>
+        <location filename="QAddonListModel.cpp" line="369"/>
+        <location filename="QAddonListModel.cpp" line="466"/>
+        <location filename="QAddonListModel.cpp" line="683"/>
         <source>Info</source>
         <translation>Info</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="326"/>
+        <location filename="QAddonListModel.cpp" line="327"/>
         <source>Do you really want to delete this addon: %1?</source>
         <translation>Möchten Sie wirklich dieses Addon löschen: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="342"/>
+        <location filename="QAddonListModel.cpp" line="343"/>
         <source>Do you want to make a backup of all installed addons?</source>
         <translation>Möchten Sie wirklich alle installierte Addons sicherkopieren?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="351"/>
+        <location filename="QAddonListModel.cpp" line="352"/>
         <source>Backing up</source>
         <translation>Sicherung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="369"/>
+        <location filename="QAddonListModel.cpp" line="370"/>
         <source>Do you want to backup this addon: %1?</source>
         <translation>Möchten Sie wirklich dieses Addon sichern: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="377"/>
-        <location filename="QAddonListModel.cpp" line="379"/>
+        <location filename="QAddonListModel.cpp" line="378"/>
+        <location filename="QAddonListModel.cpp" line="380"/>
         <source>Backing up single addon</source>
         <translation>Addonsicherung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="466"/>
+        <location filename="QAddonListModel.cpp" line="467"/>
         <source>Do you want to restore this addon: %1?</source>
         <translation>Möchten Sie wirklich dieses Addon wiederherstellen: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="474"/>
-        <location filename="QAddonListModel.cpp" line="476"/>
+        <location filename="QAddonListModel.cpp" line="475"/>
+        <location filename="QAddonListModel.cpp" line="477"/>
         <source>Restoring single addon</source>
         <translation>Addon-Wiederherstellung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="616"/>
-        <location filename="QAddonListModel.cpp" line="644"/>
-        <location filename="QAddonListModel.cpp" line="709"/>
-        <location filename="QAddonListModel.cpp" line="751"/>
+        <location filename="QAddonListModel.cpp" line="617"/>
+        <location filename="QAddonListModel.cpp" line="645"/>
+        <location filename="QAddonListModel.cpp" line="710"/>
+        <location filename="QAddonListModel.cpp" line="752"/>
         <source>Fatal</source>
         <translation>Fatal</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="628"/>
-        <location filename="QAddonListModel.cpp" line="640"/>
+        <location filename="QAddonListModel.cpp" line="629"/>
+        <location filename="QAddonListModel.cpp" line="641"/>
         <source>Processing downloaded data</source>
         <translation>Dateidowngeloadetbearbeitung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="645"/>
+        <location filename="QAddonListModel.cpp" line="646"/>
         <source>Invalid data</source>
         <translation>Datei ist ungeklärt</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="654"/>
+        <location filename="QAddonListModel.cpp" line="655"/>
         <source>Updating data</source>
         <translation>Dataaktualisierung ein</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="681"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>install</source>
         <translation>installieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="681"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>update or reinstall</source>
         <translation>Wiederinstallieren oder aktualisieren</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="683"/>
+        <location filename="QAddonListModel.cpp" line="684"/>
         <source>Do you really want to %1 this addon: %2?</source>
         <translation>Möchten Sie wirklich dieses Addon %1: %2?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="710"/>
+        <location filename="QAddonListModel.cpp" line="711"/>
         <source>I/O error</source>
         <translation>E/A Fehler</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="759"/>
-        <location filename="QAddonListModel.cpp" line="791"/>
+        <location filename="QAddonListModel.cpp" line="760"/>
+        <location filename="QAddonListModel.cpp" line="792"/>
         <source>Downloading from site</source>
         <translation>Seitedateidowngeloadung ein</translation>
     </message>
--- linion-1.0.orig/mainwindow_ru.ts
+++ linion-1.0/mainwindow_ru.ts
@@ -250,7 +250,7 @@ p, li { white-space: pre-wrap; }
     </message>
     <message>
         <location filename="mainwindow.cpp" line="27"/>
-        <location filename="mainwindow.cpp" line="293"/>
+        <location filename="mainwindow.cpp" line="302"/>
         <source>Installed Addons List</source>
         <translation>Список установленых аддонов</translation>
     </message>
@@ -266,7 +266,7 @@ p, li { white-space: pre-wrap; }
     </message>
     <message>
         <location filename="mainwindow.cpp" line="40"/>
-        <location filename="mainwindow.cpp" line="296"/>
+        <location filename="mainwindow.cpp" line="305"/>
         <source>Reinstall Or Update</source>
         <oldsource>Reinstall/update</oldsource>
         <translation>Переустановить или обновить</translation>
@@ -327,7 +327,8 @@ p, li { white-space: pre-wrap; }
         <translation>Не могу найти аддоны. Хотите открыть диалог конфигурации и указать местоположение папки с аддонами?</translation>
     </message>
     <message>
-        <location filename="mainwindow.cpp" line="245"/>
+        <location filename="mainwindow.cpp" line="242"/>
+        <location filename="mainwindow.cpp" line="253"/>
         <source>All completed</source>
         <translation>Завершено</translation>
     </message>
@@ -352,7 +353,7 @@ p, li { white-space: pre-wrap; }
     <message>
         <location filename="QAddonListModel.cpp" line="89"/>
         <source>Installed, Not backed up</source>
-        <translation>Установлен. Нт резервной копии</translation>
+        <translation>Установлен. Нет резервной копии</translation>
     </message>
     <message>
         <location filename="QAddonListModel.cpp" line="91"/>
@@ -375,105 +376,105 @@ p, li { white-space: pre-wrap; }
         <translation>Версия неизвестна</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="268"/>
-        <location filename="QAddonListModel.cpp" line="274"/>
+        <location filename="QAddonListModel.cpp" line="269"/>
+        <location filename="QAddonListModel.cpp" line="275"/>
         <source>Updating</source>
         <translation>Обновление</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="325"/>
-        <location filename="QAddonListModel.cpp" line="341"/>
-        <location filename="QAddonListModel.cpp" line="368"/>
-        <location filename="QAddonListModel.cpp" line="465"/>
-        <location filename="QAddonListModel.cpp" line="682"/>
+        <location filename="QAddonListModel.cpp" line="326"/>
+        <location filename="QAddonListModel.cpp" line="342"/>
+        <location filename="QAddonListModel.cpp" line="369"/>
+        <location filename="QAddonListModel.cpp" line="466"/>
+        <location filename="QAddonListModel.cpp" line="683"/>
         <source>Info</source>
         <translation>Информация</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="326"/>
+        <location filename="QAddonListModel.cpp" line="327"/>
         <source>Do you really want to delete this addon: %1?</source>
         <oldsource>Do you really want to delete this addon: %1</oldsource>
         <translation>Вы действительно хотите удалить аддон %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="342"/>
+        <location filename="QAddonListModel.cpp" line="343"/>
         <source>Do you want to make a backup of all installed addons?</source>
         <translation>Вы хотите создать резервную копию установленных аддонов?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="351"/>
+        <location filename="QAddonListModel.cpp" line="352"/>
         <source>Backing up</source>
         <translation>Сохранение</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="369"/>
+        <location filename="QAddonListModel.cpp" line="370"/>
         <source>Do you want to backup this addon: %1?</source>
         <translation>Вы хотите создать резервную копию аддона: %1?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="377"/>
-        <location filename="QAddonListModel.cpp" line="379"/>
+        <location filename="QAddonListModel.cpp" line="378"/>
+        <location filename="QAddonListModel.cpp" line="380"/>
         <source>Backing up single addon</source>
         <translation>Сохранение одного аддона</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="466"/>
+        <location filename="QAddonListModel.cpp" line="467"/>
         <source>Do you want to restore this addon: %1?</source>
         <translation>Вы действительно хотите восстановить аддон %1 из резервной копии?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="474"/>
-        <location filename="QAddonListModel.cpp" line="476"/>
+        <location filename="QAddonListModel.cpp" line="475"/>
+        <location filename="QAddonListModel.cpp" line="477"/>
         <source>Restoring single addon</source>
         <translation>Восстанавливается из резервной копии</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="628"/>
-        <location filename="QAddonListModel.cpp" line="640"/>
+        <location filename="QAddonListModel.cpp" line="629"/>
+        <location filename="QAddonListModel.cpp" line="641"/>
         <source>Processing downloaded data</source>
         <translation>Обработка загруженных данных</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="616"/>
-        <location filename="QAddonListModel.cpp" line="644"/>
-        <location filename="QAddonListModel.cpp" line="709"/>
-        <location filename="QAddonListModel.cpp" line="751"/>
+        <location filename="QAddonListModel.cpp" line="617"/>
+        <location filename="QAddonListModel.cpp" line="645"/>
+        <location filename="QAddonListModel.cpp" line="710"/>
+        <location filename="QAddonListModel.cpp" line="752"/>
         <source>Fatal</source>
         <translation>Критическая ошибка</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="645"/>
+        <location filename="QAddonListModel.cpp" line="646"/>
         <source>Invalid data</source>
         <translation>Некорректные данные</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="654"/>
+        <location filename="QAddonListModel.cpp" line="655"/>
         <source>Updating data</source>
         <translation>Обновление данных</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="681"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>install</source>
         <translation>установить</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="681"/>
+        <location filename="QAddonListModel.cpp" line="682"/>
         <source>update or reinstall</source>
         <translation>обновить или переустановить</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="683"/>
+        <location filename="QAddonListModel.cpp" line="684"/>
         <source>Do you really want to %1 this addon: %2?</source>
         <translation>Вы действительно хотите %1 аддон %2?</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="710"/>
+        <location filename="QAddonListModel.cpp" line="711"/>
         <source>I/O error</source>
         <translation>Ошибка ввода/вывода</translation>
     </message>
     <message>
-        <location filename="QAddonListModel.cpp" line="759"/>
-        <location filename="QAddonListModel.cpp" line="791"/>
+        <location filename="QAddonListModel.cpp" line="760"/>
+        <location filename="QAddonListModel.cpp" line="792"/>
         <source>Downloading from site</source>
         <translation>Загрузка с сайта</translation>
     </message>
--- linion-1.0.orig/version.h
+++ linion-1.0/version.h
@@ -4,6 +4,6 @@
 
 #ifndef LINION_VERSION_H
 #define LINION_VERSION_H
-#define APP_VERSION "1.0-7"
+#define APP_VERSION "1.0-8"
 
 #endif //LINION_VERSION_H
